Upstream information

CVE-2012-4504 at MITRE

Description

Stack-based buffer overflow in the url::get_pac function in url.cpp in libproxy 0.4.x before 0.4.9 allows remote servers to have an unspecified impact via a large proxy.pac file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 10
Vector AV:N/AC:L/Au:N/C:C/I:C/A:C
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Complete
Integrity Impact Complete
Availability Impact Complete
SUSE Bugzilla entries: 784523 [RESOLVED / FIXED], 795039 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP2
SUSE Linux Enterprise Desktop 12 SP3
SUSE Linux Enterprise Desktop 12 SP4
  • libproxy1 >= 0.4.13-16.3
  • libproxy1-32bit >= 0.4.13-16.3
  • libproxy1-config-gnome3 >= 0.4.13-16.6
  • libproxy1-config-gnome3-32bit >= 0.4.13-16.6
  • libproxy1-networkmanager >= 0.4.13-16.6
  • libproxy1-networkmanager-32bit >= 0.4.13-16.6
  • libproxy1-pacrunner-webkit >= 0.4.13-16.6
SUSE Linux Enterprise Desktop 12
SUSE Linux Enterprise Desktop 12 SP1
  • libproxy1 >= 0.4.11-11.2
  • libproxy1-32bit >= 0.4.11-11.2
  • libproxy1-config-gnome3 >= 0.4.11-11.6
  • libproxy1-config-gnome3-32bit >= 0.4.11-11.6
  • libproxy1-networkmanager >= 0.4.11-11.6
  • libproxy1-networkmanager-32bit >= 0.4.11-11.6
SUSE Linux Enterprise High Performance Computing 12 SP5
SUSE Linux Enterprise Server 12 SP2
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server 12 SP5
  • libproxy1 >= 0.4.13-16.3
  • libproxy1-32bit >= 0.4.13-16.3
  • libproxy1-config-gnome3 >= 0.4.13-16.6
  • libproxy1-config-gnome3-32bit >= 0.4.13-16.6
  • libproxy1-networkmanager >= 0.4.13-16.6
  • libproxy1-pacrunner-webkit >= 0.4.13-16.6
SUSE Linux Enterprise Module for Basesystem 15
SUSE Linux Enterprise Module for Basesystem 15 SP1
  • libproxy-devel >= 0.4.15-2.15
  • libproxy1 >= 0.4.15-2.15
SUSE Linux Enterprise Module for Development Tools 15
SUSE Linux Enterprise Module for Development Tools 15 SP1
  • perl-Net-Libproxy >= 0.4.15-2.42
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server 12 SP1
  • libproxy1 >= 0.4.11-11.2
  • libproxy1-32bit >= 0.4.11-11.2
  • libproxy1-config-gnome3 >= 0.4.11-11.6
  • libproxy1-config-gnome3-32bit >= 0.4.11-11.6
  • libproxy1-networkmanager >= 0.4.11-11.6
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libproxy1 >= 0.4.13-16.3
  • libproxy1-config-gnome3 >= 0.4.13-16.6
  • libproxy1-networkmanager >= 0.4.13-16.6
  • libproxy1-pacrunner-webkit >= 0.4.13-16.6
SUSE Linux Enterprise Software Development Kit 12 SP2
SUSE Linux Enterprise Software Development Kit 12 SP3
SUSE Linux Enterprise Software Development Kit 12 SP4
SUSE Linux Enterprise Software Development Kit 12 SP5
  • libproxy-devel >= 0.4.13-16.3
SUSE Linux Enterprise Software Development Kit 12
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libproxy-devel >= 0.4.11-11.2
SUSE Linux Enterprise Workstation Extension 12 SP2
SUSE Linux Enterprise Workstation Extension 12 SP3
SUSE Linux Enterprise Workstation Extension 12 SP4
SUSE Linux Enterprise Workstation Extension 12 SP5
  • libproxy1-networkmanager-32bit >= 0.4.13-16.6
SUSE Linux Enterprise Workstation Extension 12
SUSE Linux Enterprise Workstation Extension 12 SP1
  • libproxy1-networkmanager-32bit >= 0.4.11-11.6
SUSE Linux Enterprise Workstation Extension 15
SUSE Linux Enterprise Workstation Extension 15 SP1
  • libproxy1-config-gnome3 >= 0.4.15-2.42
  • libproxy1-networkmanager >= 0.4.15-2.42
openSUSE 11.4
  • libproxy >= 0.4.7-6.28.1
  • libproxy-debugsource >= 0.4.7-6.28.1
  • libproxy-devel >= 0.4.7-6.28.1
  • libproxy-plugins >= 0.4.7-6.28.1
  • libproxy-plugins-debugsource >= 0.4.7-6.28.1
  • libproxy-sharp >= 0.4.7-6.28.1
  • libproxy-tools >= 0.4.7-6.28.1
  • libproxy-tools-debuginfo >= 0.4.7-6.28.1
  • libproxy1 >= 0.4.7-6.28.1
  • libproxy1-32bit >= 0.4.7-6.28.1
  • libproxy1-config-gnome >= 0.4.7-6.28.1
  • libproxy1-config-gnome-32bit >= 0.4.7-6.28.1
  • libproxy1-config-gnome-debuginfo >= 0.4.7-6.28.1
  • libproxy1-config-gnome-debuginfo-32bit >= 0.4.7-6.28.1
  • libproxy1-config-gnome-debuginfo-x86 >= 0.4.7-6.28.1
  • libproxy1-config-gnome-x86 >= 0.4.7-6.28.1
  • libproxy1-config-kde4 >= 0.4.7-6.28.1
  • libproxy1-config-kde4-debuginfo >= 0.4.7-6.28.1
  • libproxy1-debuginfo >= 0.4.7-6.28.1
  • libproxy1-debuginfo-32bit >= 0.4.7-6.28.1
  • libproxy1-debuginfo-x86 >= 0.4.7-6.28.1
  • libproxy1-networkmanager >= 0.4.7-6.28.1
  • libproxy1-networkmanager-32bit >= 0.4.7-6.28.1
  • libproxy1-networkmanager-debuginfo >= 0.4.7-6.28.1
  • libproxy1-networkmanager-debuginfo-32bit >= 0.4.7-6.28.1
  • libproxy1-networkmanager-debuginfo-x86 >= 0.4.7-6.28.1
  • libproxy1-networkmanager-x86 >= 0.4.7-6.28.1
  • libproxy1-pacrunner-mozjs >= 0.4.7-6.28.1
  • libproxy1-pacrunner-mozjs-32bit >= 0.4.7-6.28.1
  • libproxy1-pacrunner-mozjs-debuginfo >= 0.4.7-6.28.1
  • libproxy1-pacrunner-mozjs-debuginfo-32bit >= 0.4.7-6.28.1
  • libproxy1-pacrunner-mozjs-debuginfo-x86 >= 0.4.7-6.28.1
  • libproxy1-pacrunner-mozjs-x86 >= 0.4.7-6.28.1
  • libproxy1-pacrunner-webkit >= 0.4.7-6.28.1
  • libproxy1-pacrunner-webkit-32bit >= 0.4.7-6.28.1
  • libproxy1-pacrunner-webkit-debuginfo >= 0.4.7-6.28.1
  • libproxy1-pacrunner-webkit-debuginfo-32bit >= 0.4.7-6.28.1
  • libproxy1-pacrunner-webkit-debuginfo-x86 >= 0.4.7-6.28.1
  • libproxy1-pacrunner-webkit-x86 >= 0.4.7-6.28.1
  • libproxy1-x86 >= 0.4.7-6.28.1
  • perl-Net-Libproxy >= 0.4.7-6.28.1
  • perl-Net-Libproxy-debuginfo >= 0.4.7-6.28.1
  • python-libproxy >= 0.4.7-6.28.1
Patchnames:
openSUSE-2012-720
openSUSE Leap 15.0
  • libproxy1 >= 0.4.15-lp150.2.2
  • libproxy1-config-gnome3 >= 0.4.15-lp150.2.2
  • libproxy1-config-kde >= 0.4.15-lp150.2.2
  • libproxy1-networkmanager >= 0.4.15-lp150.2.2
  • libproxy1-pacrunner-webkit >= 0.4.15-lp150.2.2
Patchnames:
openSUSE Leap 15.0 GA libproxy1
openSUSE Leap 42.1
  • libproxy-devel >= 0.4.11-13.2
  • libproxy1 >= 0.4.11-13.2
  • libproxy1-config-gnome3 >= 0.4.11-13.2
  • libproxy1-config-kde4 >= 0.4.11-13.2
  • libproxy1-networkmanager >= 0.4.11-13.2
  • libproxy1-pacrunner-webkit >= 0.4.11-13.2
Patchnames:
openSUSE Leap 42.1 GA libproxy-devel
openSUSE Leap 42.2
  • libproxy-devel >= 0.4.13-2.2
  • libproxy1 >= 0.4.13-2.2
  • libproxy1-config-gnome3 >= 0.4.13-2.1
  • libproxy1-config-kde >= 0.4.13-2.1
  • libproxy1-networkmanager >= 0.4.13-2.1
  • libproxy1-pacrunner-webkit >= 0.4.13-2.1
Patchnames:
openSUSE Leap 42.2 GA libproxy-devel
openSUSE Leap 42.3
  • libproxy-devel >= 0.4.13-4.3
  • libproxy1 >= 0.4.13-4.3
  • libproxy1-config-gnome3 >= 0.4.13-4.1
  • libproxy1-config-kde >= 0.4.13-4.1
  • libproxy1-networkmanager >= 0.4.13-4.1
  • libproxy1-pacrunner-webkit >= 0.4.13-4.1
Patchnames:
openSUSE Leap 42.3 GA libproxy-devel
openSUSE Tumbleweed
  • libproxy-devel >= 0.4.13-7.1
  • libproxy-sharp >= 0.4.13-7.1
  • libproxy-tools >= 0.4.13-7.1
  • libproxy1 >= 0.4.13-7.1
  • libproxy1-32bit >= 0.4.13-7.1
  • libproxy1-config-gnome3 >= 0.4.13-7.1
  • libproxy1-config-gnome3-32bit >= 0.4.13-7.1
  • libproxy1-config-kde >= 0.4.13-7.1
  • libproxy1-config-kde-32bit >= 0.4.13-7.1
  • libproxy1-networkmanager >= 0.4.13-7.1
  • libproxy1-networkmanager-32bit >= 0.4.13-7.1
  • libproxy1-pacrunner-webkit >= 0.4.13-7.1
  • libproxy1-pacrunner-webkit-32bit >= 0.4.13-7.1
  • perl-Net-Libproxy >= 0.4.13-7.1
  • python-libproxy >= 0.4.13-7.1
  • python3-libproxy >= 0.4.13-7.1
Patchnames:
openSUSE Tumbleweed GA libproxy-devel


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP1 libproxy Released
SUSE Linux Enterprise Desktop 11 SP2 libproxy Released
SUSE Linux Enterprise Server 11 SP1 libproxy Released
SUSE Linux Enterprise Server 11 SP1 LTSS libproxy Released
SUSE Linux Enterprise Server 11 SP2 libproxy Released
SUSE Linux Enterprise Server 11 SP2 LTSS libproxy Released
SUSE Linux Enterprise Server 11 SP2 for VMware libproxy Released
SUSE Linux Enterprise Server for SAP Business All-in-One libproxy Released
SUSE Linux Enterprise Software Development Kit 11 SP1 libproxy Released
SUSE Linux Enterprise Software Development Kit 11 SP2 libproxy Released